Package org.eclipse.birt.core.framework

# Interface IPlatformConfig

All Known Implementing Classes:
  `PlatformConfig`

public interface IPlatformConfig
Defines an interface to access OSGi framework.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BIRT_HOME`
the birt home defines the platform folder, the value is a string object
`static final String`
`OSGI_ARGUMENTS`
defines the launch arguments to access OSGi framework
`static final String`
`OSGI_CONFIGURATION`
defines the configuration used to launch the OSGi framework
`static final String`
`PLATFORM_CONTEXT`
defines the platform context object used to startup the platform.
`static final String`
`TEMP_DIR`
defines the temporary folder for the platform if it is difference with JVM

## Field Details

### BIRT_HOME

static final String BIRT_HOME
the birt home defines the platform folder, the value is a string object

See Also:
  - Constant Field Values

### PLATFORM_CONTEXT

static final String PLATFORM_CONTEXT
defines the platform context object used to startup the platform. the value is a instance of IPlatformContext.

See Also:
  - Constant Field Values

### OSGI_ARGUMENTS

static final String OSGI_ARGUMENTS
defines the launch arguments to access OSGi framework

See Also:
  - Constant Field Values

### OSGI_CONFIGURATION

static final String OSGI_CONFIGURATION
defines the configuration used to launch the OSGi framework

See Also:
  - Constant Field Values

### TEMP_DIR

static final String TEMP_DIR
defines the temporary folder for the platform if it is difference with JVM

See Also:
  - Constant Field Values